# /packages/ticket-tracker/www/admin/install/index.tcl

ad_page_contract {
    Admin will be redirected to this page to finish the installation

    @author Phong Nguyen (phong@arsdigita.com)
    @author Tony Tseng (tony@arsdigita.com)
    @creation-date 2001-01-04
    @cvs-id $Id: index.tcl,v 1.5 2002/09/06 06:57:05 jeffd Exp $
} -properties {
    context:onevalue
    gc_mounted_p:onevalue
    workflow_mounted_p:onevalue
    has_error_p:onevalue
	package_url:onevalue
}

set package_url [ad_conn package_url]
set package_key [ad_conn package_key]

set context {}

# check to see if general comments has been mounted
db_1row check_gc {
    select count(*) as gc_mounted_p
      from site_nodes sn,
           apm_packages ap
     where ap.package_key = 'general-comments'
       and sn.object_id = ap.package_id
}

# check to see if workflow has been mounted
db_1row check_workflow {
    select count(*) as workflow_mounted_p
      from site_nodes sn,
           apm_packages ap
     where ap.package_key = 'acs-workflow'
       and sn.object_id = ap.package_id
}

# check to see if the SystemURL param has been set
set current_url [ad_parameter -package_id [ad_acs_kernel_id] "SystemURL"]
set default_url [db_string default_url {
	select default_value from apm_parameters 
	where package_key = 'acs-kernel' and parameter_name='SystemURL'
}]

if {[string equal $current_url $default_url]} {
	set url_is_good_p 0
} else {
	set url_is_good_p 1
}

# check to see if NotificationSender has an email address
set notification_sender [ad_parameter "NotificationSender"]

if { ![db_0or1row check_sender "
	select email as good_email from parties 
	where party_id = :notification_sender" 
] } {
	set good_email ""
}

if { !$gc_mounted_p || !$workflow_mounted_p || !$url_is_good_p || [empty_string_p $good_email] } {
    set has_error_p 1
} else {
    set has_error_p 0
    ttracker_install
}

ad_return_template
    
